| canps Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XCanPs Struct Reference
Overview

The XCanPs driver instance data. More...

## Data Fields
XCanPs_Config | CanConfig
| Device configuration. More...
u32 | IsReady
| Device is initialized and ready. More...
XCanPs_SendRecvHandler | SendHandler
| Callback and callback reference for TXOK interrupt. More...
void * | SendRef
| Reference Pointer for Send. More...
XCanPs_SendRecvHandler | RecvHandler
| Callback and callback reference for RXOK/RXNEMP/RXFLL interrupts. More...
void * | RecvRef
| Reference Pointer for Receive. More...
XCanPs_ErrorHandler | ErrorHandler
| Callback and callback reference for ERROR interrupt. More...
void * | ErrorRef
| Reference Pointer for Error. More...
XCanPs_EventHandler | EventHandler
| Callback and callback reference for RXOFLW/RXUFLW/TXBFLL/TXFLL/ Wakeup/Sleep/Bus off/ARBLST interrupts. More...
void * | EventRef
| Reference Pointer for Event. More...
u32 | IsBusy
| A transfer is in progress (state) More...

## Detailed Description

The XCanPs driver instance data.

The user is required to allocate a variable of this type for every CAN device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XCanPs_Config XCanPs::CanConfig

Device configuration.

Referenced by XCanPs_AcceptFilterDisable(), XCanPs_AcceptFilterEnable(), XCanPs_AcceptFilterGet(), XCanPs_AcceptFilterGetEnabled(), XCanPs_AcceptFilterSet(), XCanPs_CfgInitialize(), XCanPs_ClearBusErrorStatus(), XCanPs_EnterMode(), XCanPs_GetBaudRatePrescaler(), XCanPs_GetBitTiming(), XCanPs_GetBusErrorCounter(), XCanPs_GetBusErrorStatus(), XCanPs_GetRxIntrWatermark(), XCanPs_GetStatus(), XCanPs_GetTxIntrWatermark(), XCanPs_IntrClear(), XCanPs_IntrDisable(), XCanPs_IntrEnable(), XCanPs_IntrGetEnabled(), XCanPs_IntrGetStatus(), XCanPs_Recv(), XCanPs_Reset(), XCanPs_Send(), XCanPs_SendHighPriority(), XCanPs_SetBaudRatePrescaler(), XCanPs_SetBitTiming(), XCanPs_SetRxIntrWatermark(), and XCanPs_SetTxIntrWatermark().

XCanPs_ErrorHandler XCanPs::ErrorHandler

Callback and callback reference for ERROR interrupt.

Referenced by XCanPs_CfgInitialize(), XCanPs_IntrHandler(), and XCanPs_SetHandler().

void* XCanPs::ErrorRef

Reference Pointer for Error.

Referenced by XCanPs_IntrHandler(), and XCanPs_SetHandler().

XCanPs_EventHandler XCanPs::EventHandler

Callback and callback reference for RXOFLW/RXUFLW/TXBFLL/TXFLL/ Wakeup/Sleep/Bus off/ARBLST interrupts.

Referenced by XCanPs_CfgInitialize(), XCanPs_IntrHandler(), and XCanPs_SetHandler().

void* XCanPs::EventRef

Reference Pointer for Event.

Referenced by XCanPs_IntrHandler(), and XCanPs_SetHandler().

u32 XCanPs::IsBusy

A transfer is in progress (state)

Referenced by XCanPs_CfgInitialize(), XCanPs_Send(), and XCanPs_SendHighPriority().

u32 XCanPs::IsReady

Device is initialized and ready.

Referenced by XCanPs_AcceptFilterDisable(), XCanPs_AcceptFilterEnable(), XCanPs_AcceptFilterGet(), XCanPs_AcceptFilterGetEnabled(), XCanPs_AcceptFilterSet(), XCanPs_CfgInitialize(), XCanPs_ClearBusErrorStatus(), XCanPs_EnterMode(), XCanPs_GetBaudRatePrescaler(), XCanPs_GetBitTiming(), XCanPs_GetBusErrorCounter(), XCanPs_GetBusErrorStatus(), XCanPs_GetMode(), XCanPs_GetRxIntrWatermark(), XCanPs_GetStatus(), XCanPs_GetTxIntrWatermark(), XCanPs_IntrClear(), XCanPs_IntrDisable(), XCanPs_IntrEnable(), XCanPs_IntrGetEnabled(), XCanPs_IntrGetStatus(), XCanPs_IntrHandler(), XCanPs_Recv(), XCanPs_Reset(), XCanPs_SelfTest(), XCanPs_Send(), XCanPs_SendHighPriority(), XCanPs_SetBaudRatePrescaler(), XCanPs_SetBitTiming(), XCanPs_SetHandler(), XCanPs_SetRxIntrWatermark(), and XCanPs_SetTxIntrWatermark().

XCanPs_SendRecvHandler XCanPs::RecvHandler

Callback and callback reference for RXOK/RXNEMP/RXFLL interrupts.

Referenced by XCanPs_CfgInitialize(), XCanPs_IntrHandler(), and XCanPs_SetHandler().

void* XCanPs::RecvRef

Reference Pointer for Receive.

Referenced by XCanPs_IntrHandler(), and XCanPs_SetHandler().

XCanPs_SendRecvHandler XCanPs::SendHandler

Callback and callback reference for TXOK interrupt.

Referenced by XCanPs_CfgInitialize(), XCanPs_IntrHandler(), and XCanPs_SetHandler().

void* XCanPs::SendRef

Reference Pointer for Send.

Referenced by XCanPs_IntrHandler(), and XCanPs_SetHandler().